列出 accessReviewInstanceDecisionItems 挂起审批 (已弃用)

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

备注

此方法将被弃用,并将于 2023 年 5 月 19 日停止返回数据。 它已被 filterByCurrentUser 替换。

检索某个特定 accessReviewInstance 的 accessReviewInstanceDecisionItem 对象,等待调用用户批准。 返回零个或多个 accessReviewInstanceDecisionItem 对象的列表,包括其所有嵌套属性。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) AccessReview.Read.All、AccessReview.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。

登录用户也只会在该决策的实例的 accessReviewScheduleDefinition 中看到分配了审阅者的决定。

HTTP 请求

GET /me/pendingAccessReviewInstances/{instance-id}/decisions

可选的查询参数

此方法支持 $skip OData $top 查询参数,以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

此 API 的默认页面大小为 100 个 accessReviewInstanceDecisionItem 对象。 若要提高效率并避免因大型结果集而超时,请使用 $skip 分页和 $top 查询参数。 有关详细信息,请参阅在应用中对 Microsoft Graph 数据进行分页

请求标头

无。

请求正文

请勿提供请求正文。

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和 accessReviewInstanceDecisionItem 对象数组。

示例

请求

以下示例演示一个请求,请求检索对访问评审实例的所有决策,等待调用用户的批准。

GET https://graph.microsoft.com/beta/me/pendingAccessReviewInstances/70a68410-67f3-4d4c-b946-6989e050be19/decisions?$top=100&$skip=0

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-type: application/json

{
    "@odata.count": 2,
    "value": [
        {
            "id": "654b34e7-b48f-4772-a2d4-08f1d0dd014c",
            "accessReviewId": "70a68410-67f3-4d4c-b946-6989e050be19",
            "reviewedDateTime": null,
            "decision": "NotReviewed",
            "justification": "",
            "appliedDateTime": null,
            "applyResult": "New",
            "recommendation": "Approve",
            "reviewedBy": {
                "id": "00000000-0000-0000-0000-000000000000",
                "displayName": "",
                "userPrincipalName": ""
            },
            "appliedBy": {
                "id": "00000000-0000-0000-0000-000000000000",
                "displayName": "",
                "userPrincipalName": ""
            },
            "target": {
                "@odata.type": "#microsoft.graph.accessReviewInstanceDecisionItemUserTarget",
                "userId": "7eae986b-d425-48b2-adf2-3c777f6256f3",
                "userDisplayName": "Adele Vance",
                "userPrincipalName": "AdeleV@contoso.com"
            }
        },
        {
            "id": "0311dba4-c60c-412e-ac77-14e1da23daf1",
            "accessReviewId": "70a68410-67f3-4d4c-b946-6989e050be19",
            "reviewedDateTime": null,
            "decision": "NotReviewed",
            "justification": "",
            "appliedDateTime": null,
            "applyResult": "New",
            "recommendation": "Approve",
            "reviewedBy": {
                "id": "00000000-0000-0000-0000-000000000000",
                "displayName": "",
                "userPrincipalName": ""
            },
            "appliedBy": {
                "id": "00000000-0000-0000-0000-000000000000",
                "displayName": "",
                "userPrincipalName": ""
            },
            "target": {
                "@odata.type": "#microsoft.graph.accessReviewInstanceDecisionItemUserTarget",
                "userId": "957f1027-c0ee-460d-9269-b8828e59e0fe",
                "userDisplayName": "MOD Administrator",
                "userPrincipalName": "admin@contoso.com"
            }
        }
    ]
}

另请参阅